installation failure if --with-sitedir=no or --with-vendordir=no

08/27/2011 12:27 PM - sakuro (Sakuro OZAWA)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 1.9.4dev (2011-08-27 trunk 33093)

[x86_64-darwin11.0.1]

Backport:  

Description

=begin

RbConfig::CONFIG in (builddir)/rbconfig.rb lacks some keys when --with-sitedir=no or --with-vendordir=no are given to the configure

script, namely

sitedir

sitelibdir

sitearchdir

vendordir

vendorlibdir

vendorarchdir

$ ../configure --prefix=/usr/local --disable-install-doc --with-out-ext=tk

--with-sitedir=no --with-vendordir=no

--with-opt-dir=/opt/local --with-baseruby=/usr/bin/ruby

$ make

$ sudo make install

installing manpages:          /usr/local/share/man/man1

installing extension objects: /usr/local/lib/ruby/1.9.1/x86_64-darwin11.0.1

installing extension objects:

/Users/sakuro/Projects/github.com/ruby/lib/fileutils.rb:1508:in path': can't convert nil into String (TypeError) from

/Users/sakuro/Projects/github.com/ruby/lib/fileutils.rb:1508:in block in fu_list'

from /Users/sakuro/Projects/github.com/ruby/lib/fileutils.rb:1508:in map' from

/Users/sakuro/Projects/github.com/ruby/lib/fileutils.rb:1508:in fu_list'

from ../tool/rbinstall.rb:176:in makedirs' from ../tool/rbinstall.rb:286:in prepare'

from ../tool/rbinstall.rb:363:in block in <main>' from ../tool/rbinstall.rb:663:in call'

from ../tool/rbinstall.rb:663:in block (2 levels) in <main>' from ../tool/rbinstall.rb:660:in each'

from ../tool/rbinstall.rb:660:in block in <main>' from ../tool/rbinstall.rb:656:in each'

from ../tool/rbinstall.rb:656:in `'

=end

Associated revisions

Revision 7e82db2e1e3b3c101988d6b01564529944cdef95 - 03/13/2012 01:59 AM - nobu (Nobuyoshi Nakada)

tool/rbinstall.rb (prepare): skip if basedir is not defined.

[ruby-core:39135][Bug #5238]

tool/rbinstall.rb (CONFIG.[]): check for mandatory

configurations.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34993 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 7e82db2e - 03/13/2012 01:59 AM - nobu (Nobuyoshi Nakada)

tool/rbinstall.rb (prepare): skip if basedir is not defined.

[ruby-core:39135][Bug #5238]

tool/rbinstall.rb (CONFIG.[]): check for mandatory

configurations.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34993 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
History

#1 - 08/27/2011 08:16 PM - sakuro (Sakuro OZAWA)

- File issue5238.patch added

=begin

This patch tests whether {site,vendor}libdir and {site,vendor}archlibdir are set before using them.

=end

#2 - 03/11/2012 03:24 PM - ko1 (Koichi Sasada)

- Status changed from Open to Assigned

- Assignee set to nobu (Nobuyoshi Nakada)

#3 - 03/13/2012 10:59 AM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r34993.

Sakuro, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

tool/rbinstall.rb (prepare): skip if basedir is not defined.

[ruby-core:39135][Bug #5238]

tool/rbinstall.rb (CONFIG.[]): check for mandatory

configurations.

Files

issue5238.patch 1.18 KB 08/27/2011 sakuro (Sakuro OZAWA)
